<?php

namespace Schaffen\Fiscal\FiscalDocument\Models;

use Illuminate\Database\Eloquent\Model;

class FiscalDocumentSerie extends Model
{

    protected $table = "fiscal.serie_documento_fiscal";
    protected $primaryKey = "sdf_codigo";

    protected $fillable = ["sdf_fk_dof_codigo","sdf_status","sdf_numero_inicial",
                           "sdf_numero_final","sdf_serie","sdf_fk_fil_codigo",
                           "sdf_fk_pes_codigo","sdf_nfse_numero_rps","sdf_nfse_numero_lote"];

    const CREATED_AT = "sdf_date_insert";
    const CREATED_BY = "sdf_user_insert";
    const UPDATED_AT = "sdf_date_update";
    const UPDATED_BY = "sdf_user_update";

}