<?php

namespace Schaffen\Fiscal\FiscalDocument\Managers;

use DB;
use Freelabois\LaravelQuickstart\Extendables\ManipulationManager;
use Schaffen\Fiscal\FiscalDocument\Models\TelecomServiceFiscalNoteFile;
use Schaffen\Fiscal\FiscalDocument\Repositories\NfstaRepository;

class NfstaManager extends ManipulationManager
{
     
    protected $validation = [
        self::CREATE => [],
        self::EDIT => []
    ];

    
    /**
     * @var NfstaRepository
     */
    protected $repository;

    public function __construct(
        NfstaRepository $repository
    )
    {
        $this->repository = $repository;
    }


    public function getFile($id){
        $dados = TelecomServiceFiscalNoteFile::find($id);
        return $dados;
    }
}